Package org.apache.groovy.json.internal

# Class ValueContainer

java.lang.Object
org.apache.groovy.json.internal.ValueContainer

All Implemented Interfaces:
  `CharSequence`, `Value`

    public class ValueContainer
    extends Object
    implements CharSequence, Value

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `boolean` | `decodeStrings` |
  `static Value` | `FALSE` |
  `static Value` | `NULL` |
  `static Value` | `TRUE` |
  `Type` | `type` |
  `Object` | `value` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ValueContainer​(Object value, Type type, boolean decodeStrings)` |
  `ValueContainer​(List<Object> list)` |
  `ValueContainer​(Map<String,​Object> map)` |
  `ValueContainer​(Type type)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `BigDecimal` | `bigDecimalValue()` |
  `BigInteger` | `bigIntegerValue()` |
  `boolean` | `booleanValue()` |
  `byte` | `byteValue()` |
  `char` | `charAt​(int index)` |
  `char` | `charValue()` |
  `void` | `chop()` |
  `Date` | `dateValue()` |
  `double` | `doubleValue()` |
  `float` | `floatValue()` |
  `int` | `intValue()` |
  `boolean` | `isContainer()` |
  `int` | `length()` |
  `long` | `longValue()` |
  `short` | `shortValue()` |
  `String` | `stringValue()` |
  `String` | `stringValueEncoded()` |
  `CharSequence` | `subSequence​(int start, int end)` |
  `<T extends Enum> T` | `toEnum​(Class<T> cls)` |
  `String` | `toString()` |
  `Object` | `toValue()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.CharSequence

  `chars, codePoints`

- ## Field Details

  - ### TRUE

    public static final Value TRUE

  - ### FALSE

    public static final Value FALSE

  - ### NULL

    public static final Value NULL

  - ### value

    public Object value

  - ### type

    public Type type

  - ### decodeStrings

    public boolean decodeStrings

- ## Constructor Details

  - ### ValueContainer

    public ValueContainer​(Object value, Type type, boolean decodeStrings)

  - ### ValueContainer

    public ValueContainer​(Type type)

  - ### ValueContainer

    public ValueContainer​(Map<String,​Object> map)

  - ### ValueContainer

    public ValueContainer​(List<Object> list)

- ## Method Details

  - ### intValue

    public int intValue()
    Specified by:
      `intValue` in interface `Value`

  - ### longValue

    public long longValue()
    Specified by:
      `longValue` in interface `Value`

  - ### booleanValue

    public boolean booleanValue()
    Specified by:
      `booleanValue` in interface `Value`

  - ### stringValue

    public String stringValue()
    Specified by:
      `stringValue` in interface `Value`

  - ### stringValueEncoded

    public String stringValueEncoded()
    Specified by:
      `stringValueEncoded` in interface `Value`

  - ### toString

    public String toString()
    Specified by:
      `toString` in interface `CharSequence`
    Overrides:
      `toString` in class `Object`

  - ### toValue

    public Object toValue()
    Specified by:
      `toValue` in interface `Value`

  - ### toEnum

    public <T extends Enum> T toEnum​(Class<T> cls)
    Specified by:
      `toEnum` in interface `Value`

  - ### isContainer

    public boolean isContainer()
    Specified by:
      `isContainer` in interface `Value`

  - ### chop

    public void chop()
    Specified by:
      `chop` in interface `Value`

  - ### charValue

    public char charValue()
    Specified by:
      `charValue` in interface `Value`

  - ### length

    public int length()
    Specified by:
      `length` in interface `CharSequence`

  - ### charAt

    public char charAt​(int index)
    Specified by:
      `charAt` in interface `CharSequence`

  - ### subSequence

    public CharSequence subSequence​(int start, int end)
    Specified by:
      `subSequence` in interface `CharSequence`

  - ### dateValue

    public Date dateValue()
    Specified by:
      `dateValue` in interface `Value`

  - ### byteValue

    public byte byteValue()
    Specified by:
      `byteValue` in interface `Value`

  - ### shortValue

    public short shortValue()
    Specified by:
      `shortValue` in interface `Value`

  - ### bigDecimalValue

    public BigDecimal bigDecimalValue()
    Specified by:
      `bigDecimalValue` in interface `Value`

  - ### bigIntegerValue

    public BigInteger bigIntegerValue()
    Specified by:
      `bigIntegerValue` in interface `Value`

  - ### doubleValue

    public double doubleValue()
    Specified by:
      `doubleValue` in interface `Value`

  - ### floatValue

    public float floatValue()
    Specified by:
      `floatValue` in interface `Value`